summaryrefslogtreecommitdiff
path: root/test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh
diff options
context:
space:
mode:
authorDiogo Pedrosa <diogo12pedrosa@gmail.com>2023-03-09 17:57:35 +0000
committerDiogo Pedrosa <diogo12pedrosa@gmail.com>2023-03-10 14:41:51 +0000
commit826ebb8d352245a36ecaec32b6af61e7abf4696e (patch)
treed4e984dd100f3257ce784c9e30aefb6e60a93ab5 /test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh
parentfc73f40fa1501dc53210c63cb7c0d7623d106370 (diff)
downloadvSomeIP-826ebb8d352245a36ecaec32b6af61e7abf4696e.tar.gz
vsomeip 3.3.0
Diffstat (limited to 'test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh')
-rwxr-xr-xtest/network_tests/routing_tests/external_local_routing_test_client_external_start.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh b/test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh
new file mode 100755
index 0000000..098c777
--- /dev/null
+++ b/test/network_tests/routing_tests/external_local_routing_test_client_external_start.sh
@@ -0,0 +1,17 @@
+#!/bin/bash -ex
+# Copyright (C) 2015-2017 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+export VSOMEIP_APPLICATION_NAME=external_local_routing_test_client_external
+export VSOMEIP_CONFIGURATION=external_local_routing_test_client_external.json
+./local_routing_test_client &
+client=$!
+
+for _ in {1..100}
+do
+ find /tmp -ls
+ lsof -nw -p "$client" || continue
+done
+wait "$client"